• Home
  • Wordpress
  • WordPress 5.0 i wtyczki. Czy warto aktualizować już teraz?

WordPress 5.0 i wtyczki. Czy warto aktualizować już teraz?

WordPress 5.0 jest tuż za rogiem. Twórcy ogłosili, że uaktualnienie zostanie udostępnione 6 grudnia, więc lada chwila powinno wyświetlić się w panelu administracyjnym. Czy warto jednak dokonywać aktualizacji już teraz? Co z wtyczkami, z których korzystamy? Czy będą kompatybilne z nową wersją WordPressa?

Oficjalna informacja o tym, że aktualizacja 5.0 do WordPressa zostanie udostępniona 6 grudnia trafiła dość późno do wiadomości publicznej, bo zaledwie kilka dni przed planowanym wydaniem uaktualnienia. Owszem, premiera WordPressa 5.0 od dłuższego czasu była planowana na obecny rok, więc twórcy wtyczek i motywów mieli czas na przygotowanie się do nowego wydania. Nikt jednak nie wiedział, kiedy dokładnie do tego dojdzie, zwłaszcza, że ostatnia potencjalna data premiery została przesunięta na bliżej nieokreślony termin. Aż tu nagle się okazało, że WordPress 5.0 pojawi się 6 grudnia.

Co zatem zrobić? Czy warto aktualizować stronę do WordPressa 5.0 od razu, jak tylko uaktualnienie będzie dostępne? Jaki ma to wpływ na wtyczki, z których korzystamy? Może lepiej poczekać i póki co pozostawić wszystko bez zmian aż sytuacja się ustabilizuje? Postaramy się rozwiązać tę kwestię, lecz ostateczna decyzja należy do Ciebie i musi zostać podjęta w oparciu o indywidualne warunki strony.

Czemu WordPress 5.0 wzbudza kontrowersje związane z aktualizacją?

Trzeba brać pod uwagę fakt, że WordPress 5.0 jest jedną z największych aktualizacji w historii tego CMS, wprowadzającą bardzo poważne zmiany w sposobie edycji stron i wpisów. Wszystko za sprawą Gutenberga, czyli nowego edytora treści, który zastąpi obecny edytor oparty na TinyMCE. Do tej pory Gutenberg był dostępny opcjonalnie jako wtyczka, ale od wersji 5.0 WordPressa staje się on integralną częścią systemu jako domyślny edytor.

Nowy edytor sprawia, że treści na stronę tworzymy w postaci bloków (tekstowych, graficznych, z cytatami, z różnymi układami), które następnie możemy odpowiednio układać względem siebie i przesuwać. Gutenberg jest od teraz domyślnym edytorem treści i nie znajdziemy już w WordPressie klasycznego edytora, chyba, że zdecydujemy się zainstalować jedną z wtyczek do usuwania Gutenberga.

Kontrowersje wynikają w dużej mierze z tego, że twórcy WordPressa zdecydowali się udostępnić uaktualnienie 6 grudnia, ale dopiero 4 grudnia pojawiła się oficjalna informacja o tej dacie premiery. Wydanie aktualizacji przypadło na okres przedświąteczny, co zwłaszcza w przypadku sklepów opartych na WooCommerce niesie za sobą pewne zagrożenia. Mniej zaawansowani użytkownicy muszą wdrożyć się w tym zabieganym okresie w nowy edytor treści, a ewentualne problemy ze stroną, wynikające z braku kompatybilności z niektórymi wtyczkami, mogą narazić właścicieli sklepów na straty finansowe.

Dlaczego warto się tymczasowo wstrzymać z aktualizacją WordPressa do wersji 5.0?

Dobre praktyki nakazują, abyśmy zawsze korzystali z najnowszej wersji oprogramowania ze względu na bezpieczeństwo. Instalacja najnowszej wersji WordPressa wraz uaktualnieniami zabezpieczeń oraz regularne aktualizacje wtyczek zapewnią najwyższy poziom bezpieczeństwa i eliminują luki w zabezpieczeniach, które zostały odkryte. Pod tym kątem aktualizacja jest zdecydowanie warta wykonania i zawsze jako podstawową regułę korzystania z WordPressa zalecamy wykonywanie na bieżąco wszystkich uaktualnień.

WordPress 5.0 to jednak sytuacja dość wyjątkowa, która sprawia, że warto rozważyć wstrzymanie się z aktualizacją przynajmniej do następnego miesiąca. Wszystko ze względu na edytor Gutenberg, który zmienia sposób edycji treści na stronie. Jeśli wcześniej nie mieliśmy do czynienia z nowym edytorem, to konieczne może być czasochłonne zapoznanie się z jego sposobem działania i funkcjami. Ruchliwy okres przedświąteczny temu nie sprzyja, gdyż mamy wiele innych obowiązków, zaplanowany urlop lub mnóstwo zamówień do realizacji. Problemy techniczne są ostatnią rzeczą, która nam jest obecnie potrzebna.

Ogłoszenie aktualizacji na obecny okres nie pozostawia administratorom zbyt wiele czasu na przygotowanie się do nowej funkcjonalności. Nie mamy też zbyt wiele czasu na wdrożenie mniej zaawansowanych pracowników i osób redagujących teksty do nowego sposobu edycji treści na stronie. Do tego dochodzi ogromny, przedświąteczny ruch na wielu stronach, odczuwalny zwłaszcza w przypadku sklepów internetowych (opartych m.in. właśnie na WordPressie z wtyczką WooCommerce). Uszkodzenie strony może narazić nas na poważne straty finansowe i utratę klientów.

Istotne są też wtyczki oraz motyw, z którego korzystamy. Gutenberg jest zmianą dość ekspansywną, która wymusza na autorach wielu wtyczek dostosowanie się do nowych standardów. Popularne, duże wtyczki powinny działać bez większych problemów, ale nie jest to regułą. Nie wszystkie wtyczki są kompatybilne z najnowszą wersją WordPressa i Gutenbergiem, co może spowodować problemy. Jeśli korzystamy w WordPressie z wtyczek, które dodają nowe funkcje do obecnego edytora treści, to bez odpowiedniej aktualizacji mogą one być niekompatybilne.

Co mówią autorzy popularnych wtyczek? Czy warto aktualizować WordPressa już teraz?

Ze względu na rozmach aktualizacji 5.0 swoje zdanie wyrazili też autorzy najpopularniejszych wtyczek do WordPressa. Oczywiście większość znanych wtyczek jest już gotowa do pracy z najnowszą wersją popularnego CMS i edytora Gutenberg. Mimo tego nadal nie ma jednoznacznego zalecenia aktualizacji.

Autorzy Yoast SEO opublikowali na swoim blogu informację, w której raczej zalecają użytkownikom tymczasowe wstrzymanie się z aktualizacją. Przyznają, że informacja o aktualizacji zaplanowanej na 6 grudnia była dla nich zaskoczeniem. O ile Yoast SEO jest kompatybilny z Gutenbergiem, o tyle autorzy również sugerują, że obecny okres nie sprzyja aktualizacji i przypominają o tym, że nie wszystkie inne wtyczki mogą działać poprawnie.

Wstrzymanie się z aktualizacją do stycznia zalecają na swoim blogu również twórcy wtyczki WPML do wielojęzycznego WordPressa. Informują oni, że ich zdaniem minusy z wdrożenia nowej wersji przez najbliższy miesiąc będą większe niż korzyści. Głównie ze względu na potencjalną niestabilność. Gutenberg jest nową rzeczą w WordPressowym świecie, więc “jest wiele rzeczy, które może się zepsuć”. Co więcej, ich zdaniem Gutenberg nie jest w pełni stabilny na całkowitą integrację z WPML, gdyż póki co w każdej wersji nowego edytora zachodziły zbyt duże zmiany. Twórcy starają się nadążyć za zmianami, ale sugerują aktualizację po Nowym Roku.

Ostrożność zalecają także twórcy wtyczki WordFence, służącej do zabezpieczenia WordPressa. Co prawda informują oni, że WordFence nie wchodzi w kontakt w żaden sposób z Gutenbergiem, więc nie trzeba się martwić o kompatybilność między tymi elementami, aczkolwiek przypominają jednocześnie, iż nie jest to regułą dla wszystkich innych wtyczek. Zalecają ostrożność i przetestowanie nowej wersji WordPressa w środowisku testowym (można do tego użyć np. lokalnej kopii zapasowej w oparciu o XAMPP).

O czym pamiętać, gdy zdecydujemy się na aktualizację do WordPressa 5.0?

Jeśli zdecydujesz się na aktualizację, to musisz pamiętać obowiązkowo o dwóch rzeczach: o kopii zapasowej oraz o sprawdzeniu, czy wtyczki i motyw są kompatybilne z nową wersją.

Koniecznie wykonaj kopię zapasową strony, wszystkich plików z serwera FTP oraz bazy danych – w razie problemów będzie można w każdej chwili powrócić do starszej wersji strony. W LH.pl wykonywana jest także codziennie kopia zapasowa danych na serwerze, więc do przywrócenia strony do wcześniejszego punktu w czasie można skorzystać i z tego backupu.

Jeśli masz taką możliwość, to przetestuj nową wersję WordPressa w bezpiecznym środowisku. Możesz w tym celu zainstalować na komputerze z Windowsem serwer HTTP (Apache) oraz serwer baz danych (MySQL) przy użyciu pakietu XAMPP i zaimportować do niego stronę z serwera w formie kopii zapasowej. Umożliwi Ci to wtedy wykonanie aktualizacji na lokalnej kopii zapasowej i sprawdzenie, jak przebiega proces aktualizacji i jakie ewentualne problemy się pojawiły.

Jeśli nie używasz zbyt wielu wtyczek lub opierasz się tylko na tych popularnych (takich jak Yoast SEO, WooCommerce, WordFence), to nie musisz się martwić o kompatybilność, gdyż są one najprawdopodobniej już przystosowane do nowej wersji. Jeśli jednak masz mniej  popularne dodatki, to warto sprawdzić ich dokumentację, blogę, stronę lub profil na fanpage’u w poszukiwaniu informacji dotyczących kompatybilności i ewentualnych instrukcji rozwiązywania problemów.

Podsumowanie

Powyższe informacje powinny pomóc Wam w samodzielnym zdecydowaniu, czy warto aktualizować waszego WordPressa. Jak wspomniałem, wszystko zależy od tego, jak rozbudowana jest nasza strona, z jakiej liczby wtyczek korzystamy i jak dużą ilością wolnego czasu dysponujemy.

Jeśli nie masz zbyt wiele czasu w okresie przedświątecznym, planujesz urlop na święta lub Twoja strona bądź sklep muszą absolutnie niezawodnie działać w tym okresie, to zalecamy wstrzymanie się z aktualizacją. Wstrzymanie się będzie również zalecane dla mniej doświadczonych osób, które nie umieją samodzielnie radzić sobie z potencjalnymi problemami (np. brak umiejętności diagnozowania źródła problemu, który może się pojawić po aktualizacji).

Jeśli zależy Ci na tym aby Twoja strona była kompatybilna z Gutenbergiem już teraz, a także sprawdziłeś, że wszystkie dodatki będą działały poprawnie – zaktualizuj ją. Pamiętaj tylko o wyposażeniu się w kopię zapasową, na wypadek gdyby coś jednak poszło nie tak, jak powinno.

Co zyskasz? Z pewnością w niedalekiej przyszłości twórcy motywów i wtyczek będą proponować użytkownikom rozwiązania dedykowane Gutenbergowi. Posiadając najnowszą wersję WordPressa będziesz miał możliwość z tych funkcjonalności skorzystać. Przykładowo, twórcy WooCommerce już zapowiedzieli, że w przyszłym roku będzie możliwa edycja produktu (cen, kategorii, krótkiego opisu, długiego opisu, tytułu) w oparciu o Gutenberga, na rzeczywistym podglądzie, bez konieczności wprowadzania tych danych w rozrzucone po całej stronie edycji pola.

Na koniec mamy dla Ciebie dobrą wiadomość. Jeżeli po instalacji okaże się, że Gutenberg jednak Ci nie odpowiada, możesz go wyłączyć i powrócić do edytora klasycznego. O tym jak wyłączyć Gutenberga pisaliśmy ostatnio na blogu.

Tags:,

Dodaj komentarz

avatar
  Subscribe  
Powiadom o
Facebook - LH.pl

Page plugin Facebook nie działa poprawnie. Proszę włączyć śledzenie w ustawieniach przeglądarki.